## util-dfm 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(util-dfm)

# Setup the environment
SET(CMAKE_CXX_STANDARD 17)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
#SET(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
set(QT_MINIMUM_VERSION "5.6.3")

include(GNUInstallDirs)
find_package(QT NAMES Qt6 Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
message("Using Qt version: ${QT_VERSION}")

find_package(PkgConfig REQUIRED)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

add_subdirectory(${PROJECT_SOURCE_DIR}/src)

=== src/CMakeLists.txt ===
#add_subdirectory(${PROJECT_SOURCE_DIR}/src/dfm-burn)

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)

add_subdirectory("dfm-io")
add_subdirectory("dfm-mount")
add_subdirectory("dfm-burn")

#add_subdirectory(${PROJECT_SOURCE_DIR}/tests)

=== src/dfm-io/CMakeLists.txt ===
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
#SET(CMAKE_BUILD_TYPE "Debug")
SET(CMAKE_CXX_FLAGS_DEBUG "$ENV{CXXFLAGS} -O0 -Wall -g2 -ggdb")
SET(CMAKE_CXX_FLAGS_RELEASE "$ENV{CXXFLAGS} -O3 -Wall")

add_subdirectory("dfm-io")
add_subdirectory("tools")

=== src/dfm-mount/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(BIN_NAME dfm-mount)

# Version
if (NOT PROJECT_VERSION)
    set(PROJECT_VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 0)
endif()

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)

# gio signals conflicts with qt signals
add_definitions(-DQT_NO_KEYWORDS)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Concurrent REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS DBus REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)

pkg_check_modules(udisks2 REQUIRED udisks2 IMPORTED_TARGET)
pkg_check_modules(glib REQUIRED glib-2.0 IMPORTED_TARGET)
pkg_check_modules(gio REQUIRED gio-unix-2.0 IMPORTED_TARGET)
pkg_check_modules(secret REQUIRED libsecret-1 IMPORTED_TARGET)
pkg_check_modules(mount REQUIRED mount IMPORTED_TARGET)

# public include
file(GLOB_RECURSE PUBLIC_INCLUDES  CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
# src
FILE (GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.cpp"
    "./*.h"
)

# Build
add_library(${BIN_NAME} SHARED
            ${PUBLIC_INCLUDES}
            ${SRCS}
)

set_target_properties(
    dfm-mount PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Widgets
    PkgConfig::udisks2
    PkgConfig::glib
    PkgConfig::gio
    PkgConfig::secret
    PkgConfig::mount
)

target_include_directories(
    ${BIN_NAME}
PUBLIC
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
)

include(GNUInstallDirs)

# Install lib
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/misc/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/misc/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

# Build example
set(EXAMPLE_SRCS
    example/main.cpp)
add_executable(${BIN_NAME}_example ${EXAMPLE_SRCS})
target_link_libraries(${BIN_NAME}_example ${BIN_NAME})
target_link_libraries(${BIN_NAME}_example Qt${QT_VERSION_MAJOR}::Widgets)

#set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")

#set(CMAKE_CXX_FLAGS "-fsanitize=thread")
#set(CMAKE_C_FLAGS "-fsanitize=thread")
#set(CMAKE_Ｌ_FLAGS "-fsanitize=thread")

=== src/dfm-burn/dfm-burn-client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(dfm-burn-client)

set(SRCS
    main.cpp
)

find_package(Qt${QT_VERSION_MAJOR}Core REQUIRED)

add_executable(${PROJECT_NAME} ${SRCS})

include_directories(
    ${PROJECT_SOURCE_DIR}/../dfm-burn-lib/inlcude
)

target_link_libraries(
    ${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    dfm-burn
)

=== src/dfm-burn/dfm-burn-lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set(BIN_NAME dfm-burn)

# Version
if (NOT PROJECT_VERSION)
    set(PROJECT_VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 0)
endif()

# Setup the environment
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(isoburn REQUIRED libisoburn-1 IMPORTED_TARGET)

# public include
file(GLOB_RECURSE PUBLIC_INCLUDES  CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")

# udfclient
FILE (GLOB_RECURSE UDFCLIENT_SRCS CONFIGURE_DEPENDS
    "../3rdparty/udfclient/*.c"
    "../3rdparty/udfclient/*.h"
)

# src
FILE (GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.cpp"
    "./*.h"
)

# Build
add_library(${BIN_NAME} SHARED
            ${PUBLIC_INCLUDES}
            ${SRCS}
            ${UDFCLIENT_SRCS}
)


target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    PkgConfig::isoburn
)

target_include_directories(
    ${BIN_NAME}
PUBLIC
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)

# for udfclient
target_compile_definitions(${BIN_NAME} PRIVATE
    NEEDS_ISPRINT
    _DEFAULT_SOURCE
    _BSD_SOURCE
    _XOPEN_SOURCE=500
    __USE_BSD
    _FILE_OFFSET_BITS=64
    NO_INT_FMTIO
    NO_STRLCPY
    st_atimespec=st_atim
    st_ctimespec=st_ctim
    st_mtimespec=st_mtim
    NO_STAT_BIRTHTIME
    NO_DIRENT_NAMLEN
    SCSI
    USCSI_LINUX_SCSI
)

set_target_properties(
    dfm-burn PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

# Install
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/misc/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/misc/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/dfm-io/dfm-io/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set(BIN_NAME dfm-io)

# Version
if (NOT PROJECT_VERSION)
    set(PROJECT_VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 0)
endif()

# Setup the environment
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Concurrent REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(GLIB glib-2.0 gobject-2.0 gio-2.0)
pkg_check_modules(mediainfoVal REQUIRED libmediainfo IMPORTED_TARGET)
list(APPEND mediainfos ${mediainfoVal_LDFLAGS})

# gio signals conflicts with qt signals
add_definitions(-DQT_NO_KEYWORDS)

# public include
file(GLOB_RECURSE IO_PUBLIC_INCLUDES  CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
# src
FILE (GLOB_RECURSE IO_SRCS CONFIGURE_DEPENDS
    "./*.c"
    "./*.cpp"
    "./*.h"
)

# Build
add_library(${BIN_NAME} SHARED
            ${IO_PUBLIC_INCLUDES}
            ${IO_SRCS}
)

set_target_properties(
    dfm-io PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Concurrent
    PkgConfig::mediainfoVal
    ${mediainfos}
    ${GLIB_LIBRARIES}
)

target_include_directories(${BIN_NAME}
PUBLIC
    ${GLIB_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
)

include(GNUInstallDirs)
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/misc/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/misc/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/dfm-io/tools/CMakeLists.txt ===
add_definitions(-DQT_NO_KEYWORDS)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fsanitize=address")

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)

if (QT_VERSION_MAJOR EQUAL "5")
    if (CMAKE_BUILD_TYPE STREQUAL "Debug")
        set (CMAKE_VERBOSE_MAKEFILE ON)
        message("debug type open sanitize check")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
        set(CMAKE_L_FLAGS "${CMAKE_L_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")

        #set(CMAKE_CXX_FLAGS "-fsanitize=thread")
    endif()
endif()


# include
include_directories(
    ${PROJECT_SOURCE_DIR}/../dfm-io/inlcude
)

add_executable(dfm-list dfm-list.cpp)
target_link_libraries(dfm-list dfm-io)

add_executable(dfm-sort-list dfm-sort-list.cpp)
target_link_libraries(dfm-sort-list dfm-io)

add_executable(dfm-info dfm-info.cpp)
target_link_libraries(dfm-info dfm-io)

add_executable(dfm-copy dfm-copy.cpp)
target_link_libraries(dfm-copy dfm-io)

add_executable(dfm-copy-gio dfm-copy-gio.cpp)
target_link_libraries(dfm-copy-gio dfm-io)

add_executable(dfm-copy3 dfm-copy3.cpp)
target_link_libraries(dfm-copy3 dfm-io)

add_executable(dfm-copy-system dfm-copy-system.cpp)
target_link_libraries(dfm-copy-system dfm-io)

add_executable(dfm-cat dfm-cat.cpp)
target_link_libraries(dfm-cat dfm-io)

add_executable(dfm-save dfm-save.cpp)
target_link_libraries(dfm-save dfm-io)

add_executable(dfm-rename dfm-rename.cpp)
target_link_libraries(dfm-rename dfm-io)

add_executable(dfm-move dfm-move.cpp)
target_link_libraries(dfm-move dfm-io)

add_executable(dfm-trash dfm-trash.cpp)
target_link_libraries(dfm-trash dfm-io)

add_executable(dfm-delete dfm-delete.cpp)
target_link_libraries(dfm-delete dfm-io)

add_executable(dfm-restore dfm-restore.cpp)
target_link_libraries(dfm-restore dfm-io)

add_executable(dfm-touch dfm-touch.cpp)
target_link_libraries(dfm-touch dfm-io)

add_executable(dfm-mkdir dfm-mkdir.cpp)
target_link_libraries(dfm-mkdir dfm-io)

add_executable(dfm-link dfm-link.cpp)
target_link_libraries(dfm-link dfm-io)

add_executable(dfm-watcher dfm-watcher.cpp)
target_link_libraries(dfm-watcher dfm-io)

=== debian/changelog ===
util-dfm (1.3.1) unstable; urgency=medium

  * update version to 1.3.1


 -- liujinchang <liujinchang@uniontech.com>  Wed, 10 Jul 2024 11:34:25 +0800

util-dfm (1.3.0) unstable; urgency=medium

  * v25

 -- liujinchang <liujinchang@uniontech.com>  Tue, 02 Jul 2024 15:06:32 +0800

util-dfm (1.2.24) unstable; urgency=medium

  * a new attribute is added.
  * 

 -- xushitong <xushitong@uniontech.com>  Tue, 07 May 2024 16:16:26 +0800

util-dfm (1.2.23) unstable; urgency=medium

  * update version to 1.2.23

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 27 Mar 2024 16:44:16 +0800

util-dfm (1.2.22) unstable; urgency=medium

  * update version to 1.2.22

 -- zhangsheng <zhangsheng@uniontech.com>  Mon, 19 Feb 2024 14:11:20 +0800

util-dfm (1.2.21) unstable; urgency=medium

  * update version to 1.2.21

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Jan 2024 14:32:16 +0800

util-dfm (1.2.20) unstable; urgency=medium

  * update version to 1.2.20

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 28 Dec 2023 11:27:33 +0800

util-dfm (1.2.19) unstable; urgency=medium

  * update version to 1.2.19

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 20 Dec 2023 14:48:05 +0800

util-dfm (1.2.18) unstable; urgency=medium

  * update version to 1.2.18

 -- lvwujun <lvwujun@uniontech.com>  Thur, 2 Nov 2023 11:19:21 +0800

util-dfm (1.2.17) unstable; urgency=medium

  * update version to 1.2.17

 -- lvwujun <lvwujun@uniontech.com>  Fri, 20 Oct 2023 15:21:22 +0800

util-dfm (1.2.16) unstable; urgency=medium

  * update version to 1.2.16

 -- lvwujun <lvwujun@uniontech.com>  Fri, 1 Sep 2023 10:21:12 +0800

util-dfm (1.2.15) unstable; urgency=medium

  * update version to 1.2.15

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 24 Aug 2023 10:25:59 +0800

util-dfm (1.2.14) unstable; urgency=medium

  * update version to 1.2.14

 -- lvwujun <lvwujun@uniontech.com>  Fri, 4 Aug 2023 14:48:12 +0800

util-dfm (1.2.13) unstable; urgency=medium

  * update version to 1.2.13

 -- lvwujun <lvwujun@uniontech.com>  Tue, 1 Aug 2023 14:48:12 +0800

util-dfm (1.2.12) unstable; urgency=medium

  * update version to 1.2.12

 -- lvwujun <lvwujun@uniontech.com>  Wed, 28 June 2023 10:47:21 +0800

util-dfm (1.2.11) unstable; urgency=medium

  * update version to 1.2.11

 -- lvwujun <lvwujun@uniontech.com>  Wed, 07 June 2023 15:57:07 +0800

util-dfm (1.2.10) unstable; urgency=medium

  * update version.
  *

 --lvwujun <lvwujun@uniontech.com>  Thur, 31 May 2023 15:09:45 +0800

util-dfm (1.2.9) unstable; urgency=medium

  * update version.
  *

 --lvwujun <lvwujun@uniontech.com>  Fri, 28 Apr 2023 11:09:45 +0800

util-dfm (1.2.8) unstable; urgency=medium

  * update version.

 -- lvwujun <lvwujun@uniontech.com>  Thur, 13 April 2023 15:16:29 +0800

util-dfm (1.2.6) unstable; urgency=medium

  * update version.

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 10 Mar 2023 16:29:38 +0800

util-dfm (1.2.5) unstable; urgency=medium

  * update version.
  * 

 -- xust <xushitong@uniontech.com>  Mon, 16 Jan 2023 16:58:38 +0800

util-dfm (1.2.3) stable; urgency=high

  * update V6 6.0.7 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 04 Jan 2023 17:26:29 +0800

util-dfm (1.2.1.2) unstable; urgency=high

  * update V6 6.0.6.2 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Tue, 06 Dec 2022 13:51:08 +0800

util-dfm (1.2.1) unstable; urgency=high

  * update V6 6.0.6 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Thu, 24 Nov 2022 11:24:08 +0800

util-dfm (1.2.0) unstable; urgency=high

  * update V6 6.0.4 baseline version

 -- LanXuesong <lanxuesong@uniontech.com>  Tue, 01 Nov 2022 11:25:00 +0800

util-dfm (1.1.2) unstable; urgency=high

  * update V6 6.0.4 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 20 Oct 2022 17:39:08 +0800

util-dfm (1.1.1) unstable; urgency=high

  * update V6 6.0.2 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 14 Sep 2022 14:50:58 +0800

util-dfm (1.1.0) unstable; urgency=low

  * Initial release for v23

 -- ZhangSheng <zhangsheng@uniontech.com>  Wed, 22 Jun 2022 09:44:40 +0000

util-dfm (1.0.0) unstable; urgency=medium

  * Initial release

 -- lanxs<lanxuesong@uniontech.com>  Mon, 16 Aug 2021 13:22:42 +0800

=== debian/control ===
Source: util-dfm
Section: libs,utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 cmake,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qt5-qmake,
 libglibmm-2.4-dev,
 qttools5-dev-tools,
 libglib2.0-dev,
 libudisks2-dev,
 libisoburn-dev,
 libmediainfo-dev,
 libsecret-1-dev
Standards-Version: 4.3.0
Homepage: http://www.deepin.org
#Vcs-Browser: https://salsa.debian.org/debian/util-dfm
#Vcs-Git: https://salsa.debian.org/debian/util-dfm.git

Package: libdfm-io
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglibmm-2.4-1v5
Description: A libaray about I/O.
 A libaray that provides I/O interface.

Package: libdfm-io-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdfm-io
Description: A libaray about I/O dev.
 A libaray that provides I/O interface dev.

Package: libdfm-mount
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: A libaray about mount and umount.
 A libaray that provides mount and umount interface.

Package: libdfm-mount-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm-mount,
 libsecret-1-dev,
 libudisks2-dev
Description: A libaray about mount and umount dev.
 A libaray that provides mount and umount interface dev.

Package: libdfm-burn
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libudfburn
Description: A libaray about burning CD.
 A libaray that provides burning CD interface.

Package: libdfm-burn-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm-burn,
 libisoburn-dev
Description: A libaray about mount burning CD.
 A libaray that provides burning CD interface dev.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DHOST_MULTIARCH="$(DEB_HOST_MULTIARCH)"

## util-dfm 1.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,29 @@
 SET(CMAKE_INCLUDE_CURRENT_DIR ON)
 #SET(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
-set(QT_MINIMUM_VERSION "5.6.3")
+
+option(OPT_ENABLE_QT6 "Use Qt6" ON)
+set(DFM_BUILD_WITH_QT6 FALSE)
 
 include(GNUInstallDirs)
-find_package(QT NAMES Qt6 Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
-find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
-message("Using Qt version: ${QT_VERSION}")
+
+if(OPT_ENABLE_QT6)
+    find_package(Qt6 QUIET)
+    if (Qt6_FOUND)
+        message(STATUS "Found Qt6: ${Qt6_VERSION}")
+        set(DFM_BUILD_WITH_QT6 TRUE)
+        set(QT_VERSION_MAJOR 6)
+        set(DFM_VERSION_MAJOR 6)
+    endif()
+endif()
+
+if(NOT DFM_BUILD_WITH_QT6)
+   message(WARNING "Qt6 not found, Use Qt5.")
+   set(QT_VERSION_MAJOR 5)
+   set(DFM_VERSION_MAJOR "")
+endif()
+
+# default
 
 find_package(PkgConfig REQUIRED)

=== src/dfm-mount/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(BASE_NAME dfm-mount)

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)

# gio signals conflicts with qt signals
add_definitions(-DQT_NO_KEYWORDS)

# public include
file(GLOB_RECURSE PUBLIC_INCLUDES  CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BASE_NAME}/*")
# src
FILE (GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.cpp"
    "./*.h"
)

include(dfm-mount-qt5.cmake)

# Qt6
if (DFM_BUILD_WITH_QT6)
include(dfm-mount-qt6.cmake)
endif()

#set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")

#set(CMAKE_CXX_FLAGS "-fsanitize=thread")
#set(CMAKE_C_FLAGS "-fsanitize=thread")
#set(CMAKE_Ｌ_FLAGS "-fsanitize=thread")

=== src/dfm-burn/dfm-burn-lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set (VERSION "1.0.0" CACHE STRING "define project version")
set(BASE_NAME dfm-burn)

# public include
file(GLOB_RECURSE PUBLIC_INCLUDES  CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BASE_NAME}/*")

# udfclient
FILE (GLOB_RECURSE UDFCLIENT_SRCS CONFIGURE_DEPENDS
    "../3rdparty/udfclient/*.c"
    "../3rdparty/udfclient/*.h"
)

# src
FILE (GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.cpp"
    "./*.h"
)

include(dfm-burn-qt5.cmake)

# Qt6
if (DFM_BUILD_WITH_QT6)
include(dfm-burn-qt6.cmake)
endif()

=== src/dfm-io/dfm-io/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set (VERSION "1.0.0" CACHE STRING "define project version")
set(BASE_NAME dfm-io)

# gio signals conflicts with qt signals
add_definitions(-DQT_NO_KEYWORDS)

# public include
file(GLOB_RECURSE IO_PUBLIC_INCLUDES  CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BASE_NAME}/*")
# src
FILE (GLOB_RECURSE IO_SRCS CONFIGURE_DEPENDS
    "./*.c"
    "./*.cpp"
    "./*.h"
)

include(dfm-io-qt5.cmake)

# Qt6
if (DFM_BUILD_WITH_QT6)
include(dfm-io-qt6.cmake)
endif()

=== debian/changelog ===
util-dfm (1.3.4) unstable; urgency=medium

  * Qt6 supported
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 20 Sep 2024 18:04:31 +0800

util-dfm (1.3.3) unstable; urgency=medium

  * update version to 1.3.3.
  *

 -- LiYiGang <liyigang1@uniontech.com>  Tues, 3 Sep 2024 14:48:06 +0800

util-dfm (1.3.2) unstable; urgency=medium

  * update version to 1.3.2.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 25 Jul 2024 15:56:06 +0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,14 @@
  cmake,
  pkg-config,
  qtbase5-dev,
+ qt6-base-dev,
  qtbase5-private-dev,
+ qt6-base-private-dev,
  qt5-qmake,
+ qmake6,
  libglibmm-2.4-dev,
  qttools5-dev-tools,
+ qt6-tools-dev-tools,
  libglib2.0-dev,
  libudisks2-dev,
  libisoburn-dev,
@@ -32,6 +36,17 @@
 Description: A libaray about I/O.
  A libaray that provides I/O interface.
 
+Package: libdfm6-io
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libglibmm-2.4-1v5
+Description: A libaray about I/O.
+ A libaray that provides I/O interface.
+
 Package: libdfm-io-dev
 Architecture: any
 Section: libdevel
@@ -43,7 +58,28 @@
 Description: A libaray about I/O dev.
  A libaray that provides I/O interface dev.
 
+Package: libdfm6-io-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libdfm6-io
+Description: A libaray about I/O dev.
+ A libaray that provides I/O interface dev.
+
 Package: libdfm-mount
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: A libaray about mount and umount.
+ A libaray that provides mount and umount interface.
+
+Package: libdfm6-mount
 Architecture: any
 Section: libdevel
 Multi-Arch: same
@@ -66,7 +102,32 @@
 Description: A libaray about mount and umount dev.
  A libaray that provides mount and umount interface dev.
 
+Package: libdfm6-mount-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends}, 
+ ${misc:Depends},
+ libdfm6-mount,
+ libsecret-1-dev,
+ libudisks2-dev
+Description: A libaray about mount and umount dev.
+ A libaray that provides mount and umount interface dev.
+
 Package: libdfm-burn
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends:
+ libudfburn
+Description: A libaray about burning CD.
+ A libaray that provides burning CD interface.
+
+Package: libdfm6-burn
 Architecture: any
 Section: libdevel
 Multi-Arch: same
@@ -89,3 +150,16 @@
  libisoburn-dev
 Description: A libaray about mount burning CD.
  A libaray that provides burning CD interface dev.
+
+
+Package: libdfm6-burn-dev
+Architecture: any
+Section: libdevel
+Multi-Arch: same
+Depends:
+ ${shlibs:Depends}, 
+ ${misc:Depends},
+ libdfm6-burn,
+ libisoburn-dev
+Description: A libaray about mount burning CD.
+ A libaray that provides burning CD interface dev.

## util-dfm 1.3.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(util-dfm)

# Setup the environment
SET(CMAKE_CXX_STANDARD 17)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
#SET(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")


include(GNUInstallDirs)

find_package(Qt6 QUIET)
if (Qt6_FOUND)
    message(STATUS "Found Qt6: ${Qt6_VERSION}")
    set(QT_VERSION_MAJOR 6)
    set(DFM_VERSION_MAJOR 6)
else()
    message(WARNING "Qt6 not found!")
endif()

# default
find_package(PkgConfig REQUIRED)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

add_subdirectory(${PROJECT_SOURCE_DIR}/src)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(util-dfm-tests)

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_DEBUG")

set(PROJECT_SOURCE_PATH "${CMAKE_SOURCE_DIR}/../src")
set(TEST_UTILS_PATH "${CMAKE_SOURCE_DIR}/tests/3rdparty/utils")

# 用于测试覆盖率的编译条件
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline -fno-access-control -O0 -fprofile-arcs -ftest-coverage -lgcov")

# UT依赖
find_package(GTest REQUIRED)
find_package(Qt5 COMPONENTS Test REQUIRED)

# 打桩工具
FILE(GLOB CPP_STUB_SRC "${TEST_UTILS_PATH}/cpp-stub/*.h"
    "${TEST_UTILS_PATH}/cpp-stub/*.hpp"
    "${TEST_UTILS_PATH}/stub-ext/*.h"
    "${TEST_UTILS_PATH}/stub-ext/*.cpp")

include_directories("${TEST_UTILS_PATH}/cpp-stub" "${TEST_UTILS_PATH}/stub-ext")
include_directories(${PROJECT_SOURCE_PATH})

add_subdirectory(${PROJECT_SOURCE_DIR}/dfm-burn)
add_subdirectory(${PROJECT_SOURCE_DIR}/dfm-io)

=== tests/dfm-burn/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(dfm-burn-unitest)

set(dfm-burn_tst_SRCS
    ut_opticaldiscinfo.cpp
)

# Setup the environment
find_package(Qt5Core REQUIRED)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
#SET(CMAKE_CXX_STANDARD_REQUIRED ON)

# Build
set(BINARY ${PROJECT_NAME}_tst)
add_executable(${BINARY} ${dfm-burn_tst_SRCS})
target_link_libraries(${BINARY}
    Qt5::Core
    dfm-burn
    gtest_main
    gtest
    gmock
    pthread
)

enable_testing()

=== src/dfm-io/tools/CMakeLists.txt ===
--- 
+++ 
@@ -23,56 +23,56 @@
 )
 
 add_executable(dfm-list dfm-list.cpp)
-target_link_libraries(dfm-list dfm-io)
+target_link_libraries(dfm-list dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-sort-list dfm-sort-list.cpp)
-target_link_libraries(dfm-sort-list dfm-io)
+target_link_libraries(dfm-sort-list dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-info dfm-info.cpp)
-target_link_libraries(dfm-info dfm-io)
+target_link_libraries(dfm-info dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-copy dfm-copy.cpp)
-target_link_libraries(dfm-copy dfm-io)
+target_link_libraries(dfm-copy dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-copy-gio dfm-copy-gio.cpp)
-target_link_libraries(dfm-copy-gio dfm-io)
+target_link_libraries(dfm-copy-gio dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-copy3 dfm-copy3.cpp)
-target_link_libraries(dfm-copy3 dfm-io)
+target_link_libraries(dfm-copy3 dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-copy-system dfm-copy-system.cpp)
-target_link_libraries(dfm-copy-system dfm-io)
+target_link_libraries(dfm-copy-system dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-cat dfm-cat.cpp)
-target_link_libraries(dfm-cat dfm-io)
+target_link_libraries(dfm-cat dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-save dfm-save.cpp)
-target_link_libraries(dfm-save dfm-io)
+target_link_libraries(dfm-save dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-rename dfm-rename.cpp)
-target_link_libraries(dfm-rename dfm-io)
+target_link_libraries(dfm-rename dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-move dfm-move.cpp)
-target_link_libraries(dfm-move dfm-io)
+target_link_libraries(dfm-move dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-trash dfm-trash.cpp)
-target_link_libraries(dfm-trash dfm-io)
+target_link_libraries(dfm-trash dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-delete dfm-delete.cpp)
-target_link_libraries(dfm-delete dfm-io)
+target_link_libraries(dfm-delete dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-restore dfm-restore.cpp)
-target_link_libraries(dfm-restore dfm-io)
+target_link_libraries(dfm-restore dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-touch dfm-touch.cpp)
-target_link_libraries(dfm-touch dfm-io)
+target_link_libraries(dfm-touch dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-mkdir dfm-mkdir.cpp)
-target_link_libraries(dfm-mkdir dfm-io)
+target_link_libraries(dfm-mkdir dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-link dfm-link.cpp)
-target_link_libraries(dfm-link dfm-io)
+target_link_libraries(dfm-link dfm${DFM_VERSION_MAJOR}-io)
 
 add_executable(dfm-watcher dfm-watcher.cpp)
-target_link_libraries(dfm-watcher dfm-io)
+target_link_libraries(dfm-watcher dfm${DFM_VERSION_MAJOR}-io)

=== src/dfm-search/dfm-search-client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(dfm${DFM_VERSION_MAJOR}-search-client)

set(SRCS
    main.cpp
)

find_package(Qt${QT_VERSION_MAJOR}Core REQUIRED)

add_executable(${PROJECT_NAME} ${SRCS})

include_directories(
    ${PROJECT_SOURCE_DIR}/../dfm-search-lib/include
)

target_link_libraries(
    ${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    dfm${DFM_VERSION_MAJOR}-search
)

=== src/dfm-search/dfm-search-lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

set (VERSION "1.0.0" CACHE STRING "define project version")
set(BASE_NAME dfm-search)

# public include
file(GLOB_RECURSE PUBLIC_INCLUDES CONFIGURE_DEPENDS
    "${PROJECT_SOURCE_DIR}/include/${BASE_NAME}/*")

# src
FILE (GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.cpp"
    "./*.h"
    "../3rdparty/*.cpp"
    "../3rdparty/*.h"
)

# Qt6
include(dfm-search-qt6.cmake)

=== debian/changelog ===
util-dfm (1.3.15) unstable; urgency=medium

  * feat: Impl dfm-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 10 Apr 2025 16:19:41 +0800

util-dfm (1.3.14) unstable; urgency=medium

  * fix: Update DBlockMonitorPrivate destructor to use deleteLater for watcher

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 17:15:50 +0800

util-dfm (1.3.13) unstable; urgency=medium

  * fix bug

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 16:04:11 +0800

util-dfm (1.3.12) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Mar 2025 21:06:37 +0800

util-dfm (1.3.11) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 11 Mar 2025 13:33:33 +0800

util-dfm (1.3.10) unstable; urgency=medium

  * Remove all Qt5

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 03 Mar 2025 19:21:35 +0800

util-dfm (1.3.9) unstable; urgency=medium

  * fix cifs password save issue
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 26 Dec 2024 15:42:14 +0800

util-dfm (1.3.8) unstable; urgency=medium

  * fix bugs

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 13 Dec 2024 17:27:19 +0800

util-dfm (1.3.7) unstable; urgency=medium

  * Update pattern from "^/media/(.*)/smbmounts" to "^/(?:run/)?media/(.*)/smbmounts"

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 10 Dec 2024 20:28:48 +0800

util-dfm (1.3.6) unstable; urgency=medium

  * Support Block::Configuration field.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 05 Dec 2024 20:17:19 +0800

util-dfm (1.3.5) unstable; urgency=medium

  * update version 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 02 Dec 2024 17:42:32 +0800

## util-dfm 1.3.23

=== src/dfm-search/CMakeLists.txt ===
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
#SET(CMAKE_BUILD_TYPE "Debug")
SET(CMAKE_CXX_FLAGS_DEBUG "$ENV{CXXFLAGS} -O0 -Wall -g2 -ggdb")
SET(CMAKE_CXX_FLAGS_RELEASE "$ENV{CXXFLAGS} -O3 -Wall")

add_subdirectory("dfm-search-lib")
add_subdirectory("dfm-search-client")

=== tests/dfm-io/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(dfm-io-unitest)

set(dfm-io_tst_SRCS
    main.cpp
    ut_denumerator.cpp
)

# Setup the environment
find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
#SET(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../utils/cpp-stub
    ${CMAKE_CURRENT_SOURCE_DIR}/../utils/stub-ext
    ${PROJECT_SOURCE_DIR}/../../src/dfm-io/libdfm-io/include
    ${PROJECT_SOURCE_DIR}/../../src/dfm-io/libdfm-io/private
)

# Build
set(BINARY ${PROJECT_NAME}_tst)

add_executable(${BINARY}
    ${dfm-io_tst_SRCS}
)

target_link_libraries(${BINARY}
    Qt5::Core
    Qt5::Widgets
    dfm-io
    gtest_main
    gtest
    gmock
    pthread
)

enable_testing()

=== src/dfm-io/dfm-io/CMakeLists.txt ===
--- 
+++ 
@@ -16,11 +16,7 @@
     "./*.h"
 )
 
-include(dfm-io-qt5.cmake)
-
-# Qt6
-if (DFM_BUILD_WITH_QT6)
+#include(dfm-io-qt5.cmake)
 include(dfm-io-qt6.cmake)
-endif()

=== debian/changelog ===
util-dfm (1.3.23) unstable; urgency=medium

  * Implement extended AND search behavior for filename and content fields

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 13 May 2025 15:41:21 +0800

util-dfm (1.3.22) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 12 May 2025 16:50:57 +0800

util-dfm (1.3.21) unstable; urgency=medium

  * Introduce DConfig-based dynamic file handling, enhance Lucene query processing, improve keyword highlighting, and add search timeout configuration. 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 09 May 2025 17:15:59 +0800

util-dfm (1.3.20) unstable; urgency=medium

  * install dfm6-search-client

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 08 May 2025 12:00:31 +0800

util-dfm (1.3.19) unstable; urgency=medium

  * add new interface `fileNameIndexStatus`

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 29 Apr 2025 17:55:09 +0800

util-dfm (1.3.18) unstable; urgency=medium

  * FileNameRealTimeStrategy 
  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Sun, 27 Apr 2025 17:24:58 +0800

util-dfm (1.3.17) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 25 Apr 2025 12:49:54 +0800

util-dfm (1.3.16) unstable; urgency=medium

  * feat: Optimize dfm-search

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 22 Apr 2025 11:51:27 +0800

=== debian/control ===
Source: util-dfm
Section: libs,utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 cmake,
 pkg-config,
 qt6-base-dev,
 qt6-base-private-dev,
 libdtk6core-dev,
 qmake6,
 libglibmm-2.4-dev,
 qt6-tools-dev-tools,
 libglib2.0-dev,
 libudisks2-dev,
 libisoburn-dev,
 libmediainfo-dev,
 libsecret-1-dev,
 liblucene++-dev,
 libboost-filesystem-dev
Standards-Version: 4.3.0
Homepage: http://www.deepin.org
#Vcs-Browser: https://salsa.debian.org/debian/util-dfm
#Vcs-Git: https://salsa.debian.org/debian/util-dfm.git

Package: libdfm6-io
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglibmm-2.4-1v5
Description: A library about I/O.
 A library that provides I/O interface.

Package: libdfm6-io-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdfm6-io (=${binary:Version})
Description: A library about I/O dev.
 A library that provides I/O interface dev.

Package: libdfm6-mount
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: A library about mount and umount.
 A library that provides mount and umount interface.

Package: libdfm6-mount-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm6-mount (=${binary:Version}),
 libsecret-1-dev,
 libudisks2-dev
Description: A library about mount and umount dev.
 A library that provides mount and umount interface dev.

Package: libdfm6-burn
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libudfburn
Description: A library about burning CD.
 A library that provides burning CD interface.

Package: libdfm6-burn-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm6-burn (=${binary:Version}),
 libisoburn-dev
Description: A library about mount burning CD.
 A library that provides burning CD interface dev.

Package: libdfm6-search
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: A library about searching files.
 A library that provides file searching interface.

Package: libdfm6-search-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 ${shlibs:Depends}, 
 ${misc:Depends},
 libdfm6-search (=${binary:Version})
Description: A library about searching files dev.
 A library that provides file searching interface dev.

## util-dfm 1.3.31

=== debian/changelog ===
util-dfm (1.3.31) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 16:15:42 +0800

util-dfm (1.3.30) unstable; urgency=medium

  * Enhance index availability checks and introduce readiness validation 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 16:51:02 +0800

util-dfm (1.3.29) unstable; urgency=medium

  * feat: Add wildcard search functionality to search query
  * fix: Improve index availability checks in search utility

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 15:11:33 +0800

util-dfm (1.3.28) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Jun 2025 20:03:05 +0800

util-dfm (1.3.27) unstable; urgency=medium

  * dfm-search: optimize search performance and fix dependencies

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 28 May 2025 16:37:42 +0800

util-dfm (1.3.26) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 21 May 2025 18:13:11 +0800

util-dfm (1.3.25) unstable; urgency=medium

  * refactor searchWithCallback

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 16 May 2025 15:04:02 +0800

util-dfm (1.3.24) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 15 May 2025 20:58:39 +0800

## util-dfm 1.3.32

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,5 +6,6 @@
 add_subdirectory("dfm-io")
 add_subdirectory("dfm-mount")
 add_subdirectory("dfm-burn")
+add_subdirectory("dfm-search")
 
 #add_subdirectory(${PROJECT_SOURCE_DIR}/tests)

=== src/dfm-mount/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,8 @@
     "./*.h"
 )
 
-include(dfm-mount-qt5.cmake)
-
-# Qt6
-if (DFM_BUILD_WITH_QT6)
+#include(dfm-mount-qt5.cmake)
 include(dfm-mount-qt6.cmake)
-endif()
 
 #set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
 #set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")

=== src/dfm-burn/dfm-burn-client/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.0)
 
-project(dfm-burn-client)
+project(dfm${DFM_VERSION_MAJOR}-burn-client)
 
 set(SRCS
     main.cpp
@@ -17,5 +17,5 @@
 target_link_libraries(
     ${PROJECT_NAME}
     Qt${QT_VERSION_MAJOR}::Core
-    dfm-burn
+    dfm${DFM_VERSION_MAJOR}-burn
 )

=== src/dfm-burn/dfm-burn-lib/CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,8 @@
     "./*.h"
 )
 
-include(dfm-burn-qt5.cmake)
+#include(dfm-burn-qt5.cmake)
 
 # Qt6
-if (DFM_BUILD_WITH_QT6)
 include(dfm-burn-qt6.cmake)
-endif()

=== src/dfm-search/dfm-search-client/CMakeLists.txt ===
--- 
+++ 
@@ -19,3 +19,6 @@
     Qt${QT_VERSION_MAJOR}::Core
     dfm${DFM_VERSION_MAJOR}-search
 ) 
+
+
+install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
util-dfm (1.3.32) unstable; urgency=medium

  * fix sort by filename

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 03 Jul 2025 15:29:50 +0800

## util-dfm 1.3.34

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(util-dfm-tests)

=== src/dfm-mount/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.7)
 
 set(BASE_NAME dfm-mount)

=== src/dfm-burn/dfm-burn-client/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(dfm${DFM_VERSION_MAJOR}-burn-client)

=== src/dfm-search/dfm-search-client/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(dfm${DFM_VERSION_MAJOR}-search-client)
 
@@ -18,7 +18,7 @@
     ${PROJECT_NAME}
     Qt${QT_VERSION_MAJOR}::Core
     dfm${DFM_VERSION_MAJOR}-search
-) 
+)
 
 
 install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
util-dfm (1.3.34) unstable; urgency=medium

  * fix double free

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 16 Jul 2025 17:11:25 +0800

util-dfm (1.3.33) unstable; urgency=medium

  * fix some bugs.

 -- Liuyangming <liuyangming@uniontech.com>  Wed, 16 Jul 2025 10:40:31 +0800

## util-dfm 1.3.35

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(util-dfm)

=== tests/dfm-io/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(dfm-io-unitest)

=== src/dfm-search/dfm-search-lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 set (VERSION "1.0.0" CACHE STRING "define project version")
 set(BASE_NAME dfm-search)

=== debian/changelog ===
util-dfm (1.3.35) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 08 Aug 2025 15:29:22 +0800

## util-dfm 1.3.38

=== debian/changelog ===
util-dfm (1.3.38) unstable; urgency=medium

  * correct file name comparison logic 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 25 Sep 2025 16:26:12 +0800

util-dfm (1.3.37) unstable; urgency=medium

  * add pinyin acronym search support 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 04 Sep 2025 19:05:56 +0800

util-dfm (1.3.36) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 21 Aug 2025 15:47:19 +0800

## util-dfm 1.3.39

=== src/dfm-burn/CMakeLists.txt ===
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
#SET(CMAKE_BUILD_TYPE "Debug")
SET(CMAKE_CXX_FLAGS_DEBUG "$ENV{CXXFLAGS} -O0 -Wall -g2 -ggdb")
SET(CMAKE_CXX_FLAGS_RELEASE "$ENV{CXXFLAGS} -O3 -Wall")

add_subdirectory("dfm-burn-lib")
add_subdirectory("dfm-burn-client")

=== tests/dfm-burn/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 project(dfm-burn-unitest)

=== src/dfm-burn/dfm-burn-lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 set (VERSION "1.0.0" CACHE STRING "define project version")
 set(BASE_NAME dfm-burn)

=== src/dfm-io/dfm-io/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.7)
 
 set (VERSION "1.0.0" CACHE STRING "define project version")
 set(BASE_NAME dfm-io)

=== debian/changelog ===
util-dfm (1.3.39) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 16 Oct 2025 19:13:04 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
+export QT_SELECT=5
 include /usr/share/dpkg/default.mk
-export QT_SELECT = qt5
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
